Package com.google.protobuf

# Class GeneratedMessageLite.ExtendableMessage.ExtensionWriter

java.lang.Object
com.google.protobuf.GeneratedMessageLite.ExtendableMessage.ExtensionWriter

Enclosing class:
  GeneratedMessageLite.ExtendableMessage<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>

protected class GeneratedMessageLite.ExtendableMessage.ExtensionWriter extends Object
Used by subclasses to serialize extensions. Extension ranges may be interleaved with field numbers, but we must write them in canonical (sorted by field number) order. ExtensionWriter helps us write individual ranges of extensions at once.

## Method Summary

Modifier and Type
Method
Description
`void`
`writeUntil(int end, CodedOutputStream output)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### writeUntil

public void writeUntil(int end, CodedOutputStream output) throws IOException

Throws:
  `IOException`